Skip to main content
PUT
/
api
/
Reminder
/
Saved
/
Recurring
/
{id}
Update Recurring Reminder
curl --request PUT \
  --url https://api.virtuoussoftware.com/api/Reminder/Saved/Recurring/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<integer>",
  "taskType": "<string>",
  "message": "<string>",
  "name": "<string>",
  "dueDate": "<dateTime>",
  "contactId": "<integer>",
  "reminderFrequency": "<string>",
  "description": "<string>"
}
'
{
  "id": "<integer>",
  "name": "<string>",
  "reminderSourceType": "<string>",
  "reminderSourceTypeDisplayName": "<string>",
  "reminders": [
    {
      "id": "<integer>",
      "message": "<string>",
      "targetDate": "<string>",
      "targetResolutionDateUtc": "<dateTime>",
      "contactId": "<integer>",
      "contactViewUrl": "<string>",
      "contactDisplayName": "<string>",
      "contactAvatarUrl": "<string>",
      "reminderType": "<string>",
      "reminderTypeDisplayName": "<string>",
      "taskStatus": "<string>",
      "taskStatusDisplayName": "<string>",
      "completeUrl": "<string>",
      "dismissUrl": "<string>",
      "description": "<string>",
      "hasContact": "<boolean>",
      "isPastDue": "<boolean>",
      "isUnresolved": "<boolean>",
      "canComplete": "<boolean>",
      "completeActionName": "<string>",
      "canCompleteWithNote": "<boolean>",
      "owner": "<string>",
      "ownerAvatarUrl": "<string>"
    },
    {
      "id": "<integer>",
      "message": "<string>",
      "targetDate": "<string>",
      "targetResolutionDateUtc": "<dateTime>",
      "contactId": "<integer>",
      "contactViewUrl": "<string>",
      "contactDisplayName": "<string>",
      "contactAvatarUrl": "<string>",
      "reminderType": "<string>",
      "reminderTypeDisplayName": "<string>",
      "taskStatus": "<string>",
      "taskStatusDisplayName": "<string>",
      "completeUrl": "<string>",
      "dismissUrl": "<string>",
      "description": "<string>",
      "hasContact": "<boolean>",
      "isPastDue": "<boolean>",
      "isUnresolved": "<boolean>",
      "canComplete": "<boolean>",
      "completeActionName": "<string>",
      "canCompleteWithNote": "<boolean>",
      "owner": "<string>",
      "ownerAvatarUrl": "<string>"
    }
  ],
  "message": "<string>",
  "dueDate": "<dateTime>",
  "contactId": "<integer>",
  "contactDisplayName": "<string>",
  "reminderFrequency": "<string>",
  "reminderFrequencyDisplayName": "<string>",
  "milestoneType": "<string>",
  "milestoneTypeDisplayName": "<string>",
  "threshold": "<integer>",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

(Required) The identifier.

Body

application/json
id
string
taskType
string
message
string
name
string
dueDate
string
contactId
string
reminderFrequency
string
description
string

Response

OK

id
string
name
string
reminderSourceType
string
reminderSourceTypeDisplayName
string
reminders
object[]
message
string
dueDate
string
contactId
string
contactDisplayName
string
reminderFrequency
string
reminderFrequencyDisplayName
string
milestoneType
string
milestoneTypeDisplayName
string
threshold
string
description
string
Last modified on April 24, 2026